<div align="center">
    <h1>
      ccapi
    </h1>
    <h4>
      A Python Library to interact with the 
      <a href="https://cellcollective.org">Cell Collective</a> API v3
    </h4>
</div>

<p align="center">
  <a href="https://travis-ci.org/achillesrasquinha/ccapi">
    <img src="https://img.shields.io/travis/achillesrasquinha/ccapi.svg?style=flat-square">
  </a>
  <a href="https://ci.appveyor.com/project/achillesrasquinha/ccapi">
    <img src="https://img.shields.io/appveyor/ci/achillesrasquinha/ccapi.svg?style=flat-square&logo=appveyor">
  </a>
  <a href="https://coveralls.io/github/achillesrasquinha/ccapi">
    <img src="https://img.shields.io/coveralls/github/achillesrasquinha/ccapi.svg?style=flat-square">
  </a>
  <a href="https://pypi.org/project/ccapi/">
    <img src="https://img.shields.io/pypi/v/ccapi.svg?style=flat-square">
  </a>
  <a href="https://pypi.org/project/pipupgrade/">
		<img src="https://img.shields.io/pypi/l/pipupgrade.svg?style=flat-square">
	</a>
  <a href="https://hub.docker.com/r/achillesrasquinha/ccapi">
    <img src="https://img.shields.io/docker/build/achillesrasquinha/ccapi.svg?style=flat-square&logo=docker">
  </a>
  <a href="https://git.io/boilpy">
    <img src="https://img.shields.io/badge/made%20with-boilpy-red.svg?style=flat-square">
  </a>
  <a href="https://saythanks.io/to/achillesrasquinha">
    <img src="https://img.shields.io/badge/Say%20Thanks-🦉-1EAEDB.svg?style=flat-square">
  </a>
  <a href="https://paypal.me/achillesrasquinha">
    <img src="https://img.shields.io/badge/donate-💵-f44336.svg?style=flat-square">
  </a>
</p>

<div align="center">
  <img src=".github/assets/demo.gif">
</div>

**ccapi** is a Python Package that provides a simple interface to 
[Cell Collective](https://cellcollective.org) for modelling and analysis of 
biological networks.

### Table of Contents
* [Features](#Features)
* [Installation](#installation)
* [Usage](#Documentation)
* [License](#license)

### Features

**ccapi** attempts to be an all-in-one toolbox for modelling biological systems.

* Reading public and private models from [Cell Collective](https://cellcollective.org).
* A rich knowledge-base for each model species.
* Importing models using an SBML file format.
* Exporting models into SBML qual, Boolean Expressions, Truth Tables, Interaction Matrix and GML formats.
* Querying for models.
* Visualizing models graphically.

**ccapi** officially supports Python 2.7+ and 3.4+.

### Installation

```shell
$ pip install https://github.com/cellcollective/ccapi.git
```

### Documentation

Visit [https://ccapi.readthedocs.org](https://ccapi.readthedocs.org) for documentation.

#### License

This repository has been released under the [MIT License](LICENSE).

---

<div align="center">
  Made with ❤️ using <a href="https://git.io/boilpy">boilpy</a>.
</div>
